Bug 71992 - xfs init script can't deal with ttf and type 1 fonts in same directory
xfs init script can't deal with ttf and type 1 fonts in same directory
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-20 12:32 EDT by rdt
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-20 12:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rdt 2002-08-20 12:32:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-3 i586)

Description of problem:
The buildfontlist function uses ttmkfdir if there are any ttf fonts
to build a fonts.scale, from which fonts.dir is constructed.  But if
there are .pfb fonts in the same directory, they are ignored.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Put both .ttf and .pfb files in a directory
2. Add the directory to the catalogue for xfs
3. restart xfs
	

Actual Results:  The fonts.{scale,dir} files generated will not record the .pfb
files.
The existing *correct* fonts.scale and fonts.dir files have been overwritten.
Grrrr.

Expected Results:  Both ttf and pfb files should be listed in fonts.{scale,dir}

Additional info:

Putting ttf and pfb files into separate directories is not an option
for /usr/share/AbiSuite/fonts.
Comment 1 Mike A. Harris 2002-08-22 05:10:52 EDT
This is not supported.  Put ttf files in one directory, and type1
in another directory.  We do not support putting mixed types
of fonts in one directory at this time.
Comment 2 rdt 2002-08-22 15:48:48 EDT
The following procedure seems to work for Abiword.
Clear out everything from /usr/share/AbiSuite/fonts, putting all the fonts one
wants to use in Abiword in appropriate other directories, and link to them (and
the corresponding .afms) from /usr/share/AbiSuite/fonts. 
Construct suitable fonts.scale and fonts.dir and use ttfadmin as described in
the abiword documentation.  The crucial point now is to add the other font
directories to the font path but *not* /usr/share/AbiSuite/fonts which may
contain both .pfb and .ttf links and which the Red Hat xfs init script would
mess up. As long as all the fonts are available, Abiword is happy.  

Note You need to log in before you can comment on or make changes to this bug.